Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.report
Class PotentialDuplicateReport

    java.lang.Object
      com.sun.mdm.index.report.Report
          com.sun.mdm.index.report.MultirowReport1
              com.sun.mdm.index.report.MultirowReport2
                  com.sun.mdm.index.report.PotentialDuplicateReport

All Implemented Interfaces:
  java.io.Serializable

public class PotentialDuplicateReport
extends MultirowReport2

Report class for Potential Duplicates

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CREATE_DATE`
`static java.lang.String` | `CREATE_USER`
`static java.lang.String` | `EUID1`
`static java.lang.String` | `EUID2`
`static java.lang.String` | `ID`
`static java.lang.String` | `REASON`
`static java.lang.String` | `RESOLVED_COMMENT`
`static java.lang.String` | `RESOLVED_DATE`
`static java.lang.String` | `RESOLVED_USER`
`static java.lang.String` | `STATUS`
`static java.lang.String` | `SYSTEM_CODE`
`static java.lang.String` | `WEIGHT`

Fields inherited from class com.sun.mdm.index.report.Report
`mConfig`

Constructor Summary
`PotentialDuplicateReport(MultirowReportConfig2 config)` Creates a new instance of PotentialDuplicateReport.

Method Summary
`PotentialDuplicateReportRow` | `getNextReportRow()` Gets the next report row.

Methods inherited from class com.sun.mdm.index.report.MultirowReport2
`outputDelimitedTextHeader, outputDelimitedTextRow`

Methods inherited from class com.sun.mdm.index.report.MultirowReport1
`addRow, clear, getNextRow, hasMore, hasNext, outputDelimitedTextRow, setNoMore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CREATE_DATE

    public static final java.lang.String CREATE_DATE

See Also:
  Constant Field Values

### CREATE_USER

    public static final java.lang.String CREATE_USER

See Also:
  Constant Field Values

### EUID1

    public static final java.lang.String EUID1

See Also:
  Constant Field Values

### EUID2

    public static final java.lang.String EUID2

See Also:
  Constant Field Values

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### REASON

    public static final java.lang.String REASON

See Also:
  Constant Field Values

### RESOLVED_COMMENT

    public static final java.lang.String RESOLVED_COMMENT

See Also:
  Constant Field Values

### RESOLVED_DATE

    public static final java.lang.String RESOLVED_DATE

See Also:
  Constant Field Values

### RESOLVED_USER

    public static final java.lang.String RESOLVED_USER

See Also:
  Constant Field Values

### STATUS

    public static final java.lang.String STATUS

See Also:
  Constant Field Values

### SYSTEM_CODE

    public static final java.lang.String SYSTEM_CODE

See Also:
  Constant Field Values

### WEIGHT

    public static final java.lang.String WEIGHT

See Also:
  Constant Field Values

Constructor Detail

### PotentialDuplicateReport

    public PotentialDuplicateReport(MultirowReportConfig2 config)

  Creates a new instance of PotentialDuplicateReport.

  Parameters:
    `config` - report configuration.

Method Detail

### getNextReportRow

    public PotentialDuplicateReportRow getNextReportRow()

  Gets the next report row.

  Returns:
    The next report row.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.